Support » Plugin: Events Made Easy » EME broken after Update – function deprecated

  • Resolved vanvadas

    (@vanvadas)


    Hello there,

    I was just trying to update EME and I had to go into debug mode after. It says the following: Deprecated: get_currentuserinfo ist seit Version 4.5.0 veraltet! Benutze stattdessen wp_get_current_user().

    Can you check it out please?
    Thank you!

Viewing 8 replies - 1 through 8 (of 8 total)
  • Plugin Author Franky

    (@liedekef)

    EME hasn’t used that function in years, and it is not in the code either. In which file is this reported?

    Thread Starter vanvadas

    (@vanvadas)

    Strange. I tried to replicate the warning so I wanted to reactivate the plugin, but now I got the following message:
    Warning: require_once(eme_widgets.php): failed to open stream: No such file or directory in /var/www/vhosts/web347.wfpu1.de/httpdocs/wp-content/plugins/events-made-easy/events-manager.php on line 271

    Any idea how to proceed?

    Plugin Author Franky

    (@liedekef)

    eme_widgets.php is one of the files of the plugin. If the file is missing, something is wrong with your installation. If the file is there, you should check with your provider as to why the error occurs.

    Thread Starter vanvadas

    (@vanvadas)

    Well, there must be something wrong with the installation because I tried to update it in the first place and now I can’t reactivate it. Can I delete the plugin without losing settings? Then I will try to reinstall it.

    Plugin Author Franky

    (@liedekef)

    Yes, all settings are stored in the database of WordPress. So remove and reinstall will/should keep your settings.
    But based on your original message (which was very weird), do as WordPress suggests and take a backup of the database.

    Thread Starter vanvadas

    (@vanvadas)

    Hey Frank,

    I am sorry, I deleted your EME and tried to install it again, now it says this:

    Installation fehlgeschlagen: Die Datei konnte nicht kopiert werden. /var/www/vhosts/httpdocs/wp-content/plugins/events-made-easy/payment_gateways/mercadopago/vendor/mercadopago/dx-php/phpDocumentor.phar

    I really would like to get your plugin up and running again.

    Thanks.

    Plugin Author Franky

    (@liedekef)

    That means your provide us blocking things. You should contact them and ask for assistance. Or use ftp to install the plugin, or the WordPress method of uploading the plugin yourself.

    Thread Starter vanvadas

    (@vanvadas)

    Hi Frank,

    you were right, not your plugin, sorry for that.

    a deprecated function in my child-theme and a hardquota set in Plesk.

    Thanks anyway!

Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘EME broken after Update – function deprecated’ is closed to new replies.